%define ocamlname ppx_inline_test

# debuginfo clashes with ocaml-bitstring
# this package is beeing replaced by ppx-tools anyway in future versions
# so we disable it in this version
%global debug_package %{nil}

Name:           ocaml-%{ocamlname}
Version:        0.10.1
Release:        1%{?dist}.emp1
Summary:        Syntax extension for writing in-line tests in ocaml code
License:        Apache-2.0
URL:            https://github.com/janestreet/%{ocamlname}
Source0:        %{ocamlname}-%{version}.tar.gz

Requires:       ocaml >= 4.04.1
Requires:       ocaml-ppx_core >= 0.10
Requires:       ocaml-ppx_core < 0.11
Requires:       ocaml-ppx_driver >= 0.10
Requires:       ocaml-ppx_driver < 0.11
Requires:       ocaml-ppx_metaquot >= 0.10
Requires:       ocaml-ppx_metaquot < 0.11
Requires: 	ocaml-ocaml-migrate-parsetree >= 0.4

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 4.04.1
BuildRequires:  jbuilder
BuildRequires:  ocaml-ppx_core-devel >= 0.10
BuildRequires:  ocaml-ppx_core-devel < 0.11
BuildRequires:  ocaml-ppx_driver-devel >= 0.10
BuildRequires:  ocaml-ppx_driver-devel < 0.11
BuildRequires:  ocaml-ppx_metaquot-devel >= 0.10
BuildRequires:  ocaml-ppx_metaquot-devel < 0.11
BuildRequires: 	ocaml-ocaml-migrate-parsetree-devel >= 0.4

%description
A ppx rewriter that rewrites simple match statements with an if then
else expression.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-ppx_core-devel >= 0.10
Requires:       ocaml-ppx_core-devel < 0.11
Requires:       ocaml-ppx_driver-devel >= 0.10
Requires:       ocaml-ppx_driver-devel < 0.11
Requires:       ocaml-ppx_metaquot-devel >= 0.10
Requires:       ocaml-ppx_metaquot-devel < 0.11
Requires: 	ocaml-ocaml-migrate-parsetree-devel >= 0.4

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install
echo %{ocamlname} > \
    %{buildroot}/%{_libdir}/ocaml/stublibs/dll%{ocamlname}_stubs.so.owner

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.txt
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
